Runtime

## org.eclipse.gmf.runtime.diagram.ui.geoshapes.type
Class GeoshapeType

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.AbstractElementTypeEnumerator
          org.eclipse.gmf.runtime.diagram.ui.geoshapes.type.GeoshapeType

    public class GeoshapeType

extends AbstractElementTypeEnumerator

Element types for the notation elements defined in the Geoshape plugin.

If a new shape type is added, it should also be added to the list returned in `getShapeTypes()`.

Field Summary
`static INotationType` `CYLINDER`
`static INotationType` `DIAMOND`
`static INotationType` `HEXAGON`
`static INotationType` `LINE`
`static INotationType` `OCTAGON`
`static INotationType` `OVAL`
`static INotationType` `PENTAGON`
`static INotationType` `RECTANGLE`
`static INotationType` `ROUNDRECTANGLE`
`static INotationType` `SHADOWRECTANGLE`
`static INotationType` `THREEDRECTANGLE`
`static INotationType` `TRIANGLE`

Constructor Summary
`GeoshapeType()`

Method Summary
`static java.util.List` `getShapeTypes()` Gets a list of all the possible shape types.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.AbstractElementTypeEnumerator
`getElementType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OVAL

    public static final INotationType OVAL

### TRIANGLE

    public static final INotationType TRIANGLE

### RECTANGLE

    public static final INotationType RECTANGLE

### SHADOWRECTANGLE

    public static final INotationType SHADOWRECTANGLE

### THREEDRECTANGLE

    public static final INotationType THREEDRECTANGLE

### ROUNDRECTANGLE

    public static final INotationType ROUNDRECTANGLE

### HEXAGON

    public static final INotationType HEXAGON

### OCTAGON

    public static final INotationType OCTAGON

### PENTAGON

    public static final INotationType PENTAGON

### DIAMOND

    public static final INotationType DIAMOND

### CYLINDER

    public static final INotationType CYLINDER

### LINE

    public static final INotationType LINE

Constructor Detail

### GeoshapeType

    public GeoshapeType()

Method Detail

### getShapeTypes

    public static java.util.List getShapeTypes()

  Gets a list of all the possible shape types. This is used by the connection handles.

  Returns:
    a list of shape types

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.